Package org.w3c.tidy

# Class PPrint

java.lang.Object
org.w3c.tidy.PPrint

public class PPrint extends Object
Pretty print parse tree. Block-level and unknown elements are printed on new lines and their contents indented 2 spaces Inline elements are printed inline. Inline content is wrapped on spaces (except in attribute values or preformatted text, after start tags and before end tags.

Version:
  $Revision: 1122 $ ($Author: aditsu $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Constructor Summary

Constructors
Constructor
Description
`PPrint(Configuration configuration)`
Instantiates a new PPrint.

## Method Summary

Modifier and Type
Method
Description
`void`
`addTransitionEffect(Lexer lexer, Node root, double duration)`
Add meta element for page transition effect, this works on IE but not NS.
`void`
`condFlushLine(Out fout, int indent)`
`int`
`countSlides(Node node)`
Split parse tree by h2 elements and output to separate files.
`void`
`createSlides(Lexer lexer, Node root)`
Creates slides from h2.
`void`
`flushLine(Out fout, int indent)`
`static int`
`getUTF8(byte[] str, int start, int[] ch)`
return one less than the number of bytes used by the UTF-8 byte sequence.
`void`
`printSlide(Out fout, short mode, int indent, Lexer lexer)`
Called from printTree to print the content of a slide from the node slidecontent.
`void`
`printTree(Out fout, short mode, int indent, Lexer lexer, Node node)`
`void`
`printXMLTree(Out fout, short mode, int indent, Lexer lexer, Node node)`
`static int`
`putUTF8(byte[] buf, int start, int c)`
store char c as UTF-8 encoded byte stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PPrint

public PPrint(Configuration configuration)
Instantiates a new PPrint.

Parameters:
  `configuration` - configuration

## Method Details

### getUTF8

public static int getUTF8(byte[] str, int start, int[] ch)
return one less than the number of bytes used by the UTF-8 byte sequence. The Unicode char is returned in ch.

Parameters:
  `str` - points to the UTF-8 byte sequence
  `start` - starting offset in str
  `ch` - initialized to 1st byte, passed as an array to allow modification
Returns:
  one less that the number of bytes used by UTF-8 char

### putUTF8

public static int putUTF8(byte[] buf, int start, int c)
store char c as UTF-8 encoded byte stream.

Parameters:
  `buf` -
  `start` -
  `c` -
Returns:

### flushLine

public void flushLine(Out fout, int indent)

Parameters:
  `fout` -
  `indent` -

### condFlushLine

public void condFlushLine(Out fout, int indent)

Parameters:
  `fout` -
  `indent` -

### printTree

public void printTree(Out fout, short mode, int indent, Lexer lexer, Node node)

Parameters:
  `fout` -
  `mode` -
  `indent` -
  `lexer` -
  `node` -

### printXMLTree

public void printXMLTree(Out fout, short mode, int indent, Lexer lexer, Node node)

Parameters:
  `fout` -
  `mode` -
  `indent` -
  `lexer` -
  `node` -

### countSlides

public int countSlides(Node node)
Split parse tree by h2 elements and output to separate files. Counts number of h2 children (if any) belonging to node.

Parameters:
  `node` - root node
Returns:
  number of slides (number of h2 elements)

### printSlide

public void printSlide(Out fout, short mode, int indent, Lexer lexer)
Called from printTree to print the content of a slide from the node slidecontent. On return slidecontent points to the node starting the next slide or null. The variables slide and count are used to customise the navigation bar.

Parameters:
  `fout` -
  `mode` -
  `indent` -
  `lexer` -

### addTransitionEffect

public void addTransitionEffect(Lexer lexer, Node root, double duration)
Add meta element for page transition effect, this works on IE but not NS.

Parameters:
  `lexer` -
  `root` -
  `duration` -

### createSlides

public void createSlides(Lexer lexer, Node root)
Creates slides from h2.

Parameters:
  `lexer` - Lexer
  `root` - root node